# Uses of Interface
org.eclipse.net4j.util.io.IORunnable

Packages that use IORunnable
Package
Description
org.eclipse.net4j.util.io
Interfaces and classes for I/O.

## Uses of IORunnable in org.eclipse.net4j.util.io

Methods in org.eclipse.net4j.util.io with parameters of type IORunnable
Modifier and Type
Method
Description
`static void`
IOUtil.`safeInput(File file, IORunnable<FileInputStream> runnable)`
`static void`
IOUtil.`safeOutput(File file, IORunnable<FileOutputStream> runnable)`
`static void`
IOUtil.`safeRead(File file, IORunnable<FileReader> runnable)`
`static <IO extends Closeable>
void`
IOUtil.`safeRun(IO io, IORunnable<IO> runnable)`
`static void`
IOUtil.`safeWrite(File file, IORunnable<FileWriter> runnable)`